YPCAT(1) | General Commands Manual | YPCAT(1)

# NAME

`ypcat` —
print the values of all keys in a NIS database

# SYNOPSIS

`ypcat` | [`-kst`] [`-b` num_retry] [`-d` domainname] mapname

`ypcat` | `-x`

# DESCRIPTION

`ypcat` prints out the values of all keys from the NIS database specified by mapname, which may be a map name or a map nickname.

The options are as follows:

`-b` num_retry
  Do not wait infinite time for the ypserver to come up. Retry only the specified number of times. See yp_setbindtries(3) for explanation. The valid range is limited from 0 to 65535 by this program.
`-d` domainname
  Specify a domain other than the default domain.
`-k`
  Display map keys. This option is useful with maps in which the values are null or the key is not part of the value.
`-s`
  When printing the value of a key, compress all whitespace characters to a single space. Useful when values contain newlines.
`-t`
  Inhibit translation of map nicknames to their corresponding map names.
`-x`
  Display the map nickname table, found in /var/yp/nicknames. A built-in default translation table is used if /var/yp/nicknames does not exist (see nicknames(5) for details).

# SEE ALSO

domainname(1), ypmatch(1), ypwhich(1), yp_setbindtries(3), nicknames(5), nis(8), ypbind(8), yppoll(8), ypset(8)

# AUTHORS

Theo De Raadt
Greywolf

March 2, 2012 | NetBSD 10.1